import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { UserProfileComponent } from "./user-profile.component";
import { NgbModule } from "@ng-bootstrap/ng-bootstrap";
import { BreadcrumbModule } from "src/app/_layout/breadcrumb/breadcrumb.module";
import { RouterModule } from "@angular/router";
import { ProfilInfoComponent } from "./profil-info/profil-info.component";
import { UpdatePasswordComponent } from "./update-password/update-password.component";
import { ProfilInformationComponent } from './profil-information/profil-information.component';
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { NgSelectModule } from "@ng-select/ng-select";
import { NgxDropzoneModule } from "ngx-dropzone";

@NgModule({
  declarations: [
    UserProfileComponent,
    ProfilInfoComponent,
    UpdatePasswordComponent,
    ProfilInformationComponent,
  ],
  imports: [
    CommonModule,
    NgbModule,
    BreadcrumbModule,
    NgSelectModule,
    FormsModule,
    ReactiveFormsModule,
    NgxDropzoneModule,
    RouterModule.forChild([
      {
        path: "",
        component: UserProfileComponent,
      },
    ]),
  ],
})
export class UserProfileModule {}
